# Uses of Interface
org.eclipse.compare.patch.IFilePatch2

Packages that use IFilePatch2
Package
Description
org.eclipse.compare.patch
Provides support for applying and working with patches.

## Uses of IFilePatch2 in org.eclipse.compare.patch

Subinterfaces of IFilePatch2 in org.eclipse.compare.patch
Modifier and Type
Interface
Description
`interface`
`IFilePatch`
A representation of a file patch that can be applied to an input stream.
Methods in org.eclipse.compare.patch that return IFilePatch2
Modifier and Type
Method
Description
`static IFilePatch2`
PatchBuilder.`addHunks(IFilePatch2 filePatch, IHunk[] toAdd)`
Adds IHunks to a given IFilePatch2 and performs recalculation of all hunks' after positions.
`static IFilePatch2`
PatchBuilder.`createFilePatch(IPath oldPath, long oldDate, IPath newPath, long newDate, IHunk[] hunks)`
Creates an IFilePatch2 instance and performs recalculation of all hunks' after positions.
`static IFilePatch2[]`
PatchParser.`parsePatch(ReaderCreator content)`
Parse the given patch and return the set of file patches that it contains.
`static IFilePatch2`
PatchBuilder.`removeHunks(IFilePatch2 filePatch, IHunk[] toRemove)`
Removes IHunks from a given IFilePatch2 and performs recalculation of all hunks' after positions.
Methods in org.eclipse.compare.patch with parameters of type IFilePatch2
Modifier and Type
Method
Description
`static IFilePatch2`
PatchBuilder.`addHunks(IFilePatch2 filePatch, IHunk[] toAdd)`
Adds IHunks to a given IFilePatch2 and performs recalculation of all hunks' after positions.
`static IFilePatch2`
PatchBuilder.`removeHunks(IFilePatch2 filePatch, IHunk[] toRemove)`
Removes IHunks from a given IFilePatch2 and performs recalculation of all hunks' after positions.